APÉNDICE: PROGRAMAS ASOCIADOS

A continuación se explica cómo conseguir los paquetes de programas mencionados en este documento.

Servidor Web Apache

Para hacer funcionar cualquier versión de Greenstone aparte de la versión de Biblioteca Local de Windows, se necesita un servidor Web externo. Muchas instalaciones, en particular las más voluminosas, tendrán ya un servidor Web. Si usted utiliza Linux, Apache puede encontrarse en su disco de instalación pero puede no haber sido seleccionado durante el procedimiento de instalación. El servidor Web Apache de  www.apache.org  es libre y fácil de instalar.

Perl

Para crear colecciones con Greenstone se necesita el lenguaje Perl, versión 5 o superior. Para Windows, recomendamos ActivePerl de  www.activestate.com . La mayoría de los sistemas Unix ya tienen Perl instalado, pero si no es el caso, los códigos fuente y los binarios de una amplia gama de plataformas Unix pueden descargarse libremente en  www.perl.com .

GCC

La versión Unix de Greenstone se compila con el compilador C++ de GNU, GCC. Greenstone hace un amplio uso de la biblioteca estándar de plantillas C++ (hemos observado que está rota en algunas antiguas versiones de GCC, sírvase avisarnos si tiene usted problemas con STL). Cabe señalar que esta versión de Greenstone no compila con la versión 3.0 de GCC.

GDBM

Todas las versiones de Greenstone utilizan el Administrador de Base de Datos GNU, GDBM (GNU Database Manager). Viene con todas las versiones Windows de Greenstone y se instala automáticamente durante el procedimiento de instalación. Los sistemas Linux ya tienen GDBM, por lo que no lo proporcionamos para Linux. La mayoría de los demás sistemas Unix lo tienen, pero si es necesario puede usted descargarlo en la URL  www.gnu.org .

Ambiente de Ejecución Java

Para poder usar la Interfaz de Bibliotecario de Greenstone es necesario contar con una versión adecuada del Ambiente de Ejecución Java (JRE por sus siglas en inglés). Si todavía no lo tiene, el CD-ROM incluye una versión apropiada, o también puede bajar la versión más reciente desde  http://java.sun.com/j2se/downloads.html . Se requiere la versión 1.4.0 o superior.

Compilador Java

Para compilar el código fuente de la Interfaz de Bibliotecario de Greenstone primero deberá instalar un Kit de Desarrollo de Software Java (SDK por sus siglas en inglés). Usted puede bajar el Kit de Desarrollo de Software J2SE desde  http://java.sun.com/j2se/downloads.html . Se requiere la versión 1.4.0 o superior.